Bug 1089262 - Domain Controller Server Role
Summary: Domain Controller Server Role
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Pete Travis
URL:
Whiteboard: ChangeAcceptedF21 SystemWideChange
Keywords:
Depends On: 1125415
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-18 11:33 UTC by Jaroslav Reznik
Modified: 2014-12-08 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-18 11:33:10 UTC
This is a tracking bug for Change: Domain Controller Server Role
For more details, see: http://fedoraproject.org//wiki/Changes/DomainControllerServerRole

The Fedora Server Product will provide a standard deployment mechanism for a Linux Domain Controller (powered by the FreeIPA project).

Comment 1 Jaroslav Reznik 2014-07-04 10:43:36 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Stephen Gallagher 2014-08-28 17:22:38 UTC
The Domain Controller Role is available and testable in Fedora 21 Alpha TC4 and later.

Comment 3 Pete Travis 2014-09-23 03:36:15 UTC
I have written a bit for the RNs about this change at https://fedoraproject.org/wiki/Documentation_Server_Specific_Content_Beat#Domain_Controller_Server_Role - Stephen, would you please review?

Comment 4 Stephen Gallagher 2014-09-23 12:09:19 UTC
I made a few edits to the wiki. Specifically, I dropped the references to replica domain controllers and Cockpit management, as both of those have been deferred to F22. In F21 we are only doing the primary controller setup.

Comment 5 Petr Bokoc 2014-10-14 12:26:42 UTC
Hello Stephen,

Are you sure that Cockpit has been deferred to F22? According to the Change bug (BZ#1091301) Cockpit will be available in F21. Can you please explain?

Comment 6 Stephen Gallagher 2014-10-14 13:10:11 UTC
Cockpit *management of domain controllers* was deferred, not Cockpit entirely.


Note You need to log in before you can comment on or make changes to this bug.